# $Revision: 1.17 $, $Date: 2007/07/14 18:17:05 $
Summary:	eSvn - a cross-platform (Qt-based) GUI frontend for the Subversion revision system
Summary(pl.UTF-8):	eSvn - wieloplatformowy (oparty na Qt) graficzny interfejs użytkownika do Subversion
Name:		esvn
Version:	0.6.12
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/esvn/%{name}-%{version}-1.tar.gz
# Source0-md5:	25a54a392b3798681b00dfe32807c9e3
Patch0:		%{name}-build.patch
URL:		http://zoneit.free.fr/esvn/
BuildRequires:	qmake
BuildRequires:	qt-devel >= 1:3.0.0
BuildRequires:	sed >= 4.0
Requires:	subversion
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eSvn is a cross-platform (Qt-based) GUI frontend for the Subversion
revision system.

%description -l pl.UTF-8
eSvn jest wieloplatformowym (opartym na Qt) graficznym interfejsem
użytkownika dla Subversion.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__sed} -i 's,-lqt ,-lqt-mt ,g' *.vpj
%{__sed} -i 's,Categories.*,Categories=Qt;Development;RevisionControl;,' eSvn.desktop

export QTDIR=%{_prefix}
%{__make} \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir},%{_docdir}/esvn}
install esvn $RPM_BUILD_ROOT%{_bindir}/esvn
install esvn-diff-wrapper $RPM_BUILD_ROOT%{_bindir}/esvn-diff-wrapper
install esvn.png $RPM_BUILD_ROOT%{_pixmapsdir}/esvn.png
install eSvn.desktop $RPM_BUILD_ROOT%{_desktopdir}/eSvn.desktop
cp -f -r html-docs $RPM_BUILD_ROOT%{_docdir}/esvn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog LICENSE README VERSION
%attr(755,root,root) %{_bindir}/esvn
%attr(755,root,root) %{_bindir}/esvn-diff-wrapper
%{_pixmapsdir}/esvn.png
%{_desktopdir}/eSvn.desktop
%{_docdir}/esvn

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: esvn.spec,v $
Revision 1.17  2007/07/14 18:17:05  twittner
- up to 0.6.12
- updated homepage and download URLs (there is a new maintainer from 0.6.2 ver.)
- pass CXX=%__cxx to make (for making use of custom %__cxx value, where often ccache is put)

Revision 1.16  2007/04/10 23:18:24  shadzik
- qt-devel epoch 1

Revision 1.15  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.13  2006/01/14 12:40:30  pluto
- build fixed, release 1.

Revision 1.12  2006/01/13 14:20:43  mwinkler
- up to 0.6.11, rel 0.1
- build error: .ui/frm_main.cpp:29:26: cmd_lineedit.h: No such file or directory

Revision 1.11  2005/04/16 22:27:04  darekr
- killed "-m 755" from %%install

Revision 1.10  2005/04/05 21:53:24  arekm
- up to 0.6.9

Revision 1.9  2005/01/23 16:48:56  charles
- fix Categories
- sed unified + BR sed >= 4.0

Revision 1.8  2005/01/11 21:04:35  paszczus
- updated to 0.6.8

Revision 1.7  2004/12/30 14:55:38  arekm
- don't link with qt-st

Revision 1.6  2004/12/17 20:06:39  saq
- up to 0.6.6 by Piotr Budny
- missing BR

Revision 1.5  2004/12/10 06:37:20  snurf
- up to 0.6.5

Revision 1.4  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.3  2004/08/31 20:06:00  qboosh
- cleanups/fixes/unifications

Revision 1.2  2004/08/31 11:16:47  gozda
- Fixed Source0 address.

Revision 1.1  2004/08/31 08:34:31  gozda
- Initial release.
